import { HOTP } from "./hotp.js";
import { TOTP } from "./totp.js";
import { URI } from "./uri.js";
import { Secret } from "./secret.js";
import { version } from "./version.js";

/**
 * One Time Password (HOTP/TOTP) library for Node.js, Deno and browsers.
 * @module OTPAuth
 * @author Héctor Molinero Fernández <hector@molinero.dev>
 */
export { HOTP, TOTP, URI, Secret, version };
